<template>
  <label class="input inputCheck">
    <input
      class="inputCheck-field"
      type="checkbox"
      :value="1"
      :checked="checked"
      :disabled="disabled"
      @change="$emit('change', $event.target.checked)">
    <span class="input-field inputCheck-box">
      <img
        svg-inline
        src="~/assets/svg/redesign/check.svg">
    </span>
    <span class="inputCheck-label">
      <slot name="label"/>
    </span>
  </label>
</template>

<script>
export default {
  name: 'AppCheckbox',
  model: {
    prop: 'checked',
    event: 'change',
  },
  props: {
    checked: {
      type: Boolean,
      default: false,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      state: this.value,
    };
  },
};
</script>

<style scoped lang="postcss">
  .input.inputCheck {
    justify-content: flex-start;
    padding-left: 1.75rem;

    .inputCheck-field {
      position: absolute;
      margin: 0;
      //Alex_czech Обнуляем стили для ios device
      border: none;
      background-color: transparent;
      appearance: none;
    }

    .inputCheck-box.input-field {
      position: absolute;
      display: block;
      margin-left: -1.75rem;
      padding: 0;
      width: 1.25rem;
      height: 1.25rem;
      min-height: 1.25rem;
      cursor: pointer;

      .svg {
        display: block;
        margin: 0.25rem 0 0 0.1875rem;
        fill: var(--form-bg);
      }
    }

    .inputCheck-label {
      display: inline-block;
      padding-top: 0.1875rem;
      font-size: 0.75rem;
      line-height: 1.4;
      user-select: none;
      cursor: pointer;
    }

    .inputCheck-field:checked + .inputCheck-box {
      .svg {
        fill: var(--form-checked-color);
      }
    }

    .inputCheck-field:focus + .inputCheck-box {
      border: var(--form-focus-border);
    }

    .inputCheck-field:disabled + .inputCheck-box {
      background-color: var(--form-disabled-bg);

      + .inputCheck-label {
        color: var(--color-main-lightest);
      }

      .svg {
        fill: var(--form-disabled-bg);
      }
    }

    .inputCheck-field:disabled:checked + .inputCheck-box {
      .svg {
        fill: var(--placeholder-disabled-color);
      }
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      .inputCheck-label {
        font-size: 0.875rem;
      }
    }

    @media screen and (max-width: 980px) {
      .inputCheck-label {
        font-size: 0.875rem;
      }
    }
  }

</style>
